1. Postalcode SMS
FarazSMS Public APIs
  • Auth
    • Login
      POST
    • Register
      POST
    • Verify 2fa
      POST
    • Show Register Form
      GET
    • Logout
      POST
  • Account
    • Profile
      GET
    • Account Balance
      GET
    • update
      POST
    • Charge wallet
      POST
    • Register
      POST
    • Lines
      GET
  • Send
    • Voice Message
      • Send Voice Message
      • Download Uploded Voice Message File
      • Upload Voice Message File
      • Calculate Voice Message Cost
    • Postalcode SMS
      • Get Available Lines
        GET
      • Get Receiver Counts
        GET
      • Send Postal Code SMS
        POST
    • Simple SMS
      • Send Simple SMS
      • Send Simple SMS from Excel
      • Send Simple SMS from Phonebook
    • Variable-Based SMS
      • Send SMS with Variables
      • Send SMS with Variables from Excel
    • Peer-to-Peer SMS
      • Send Peer-to-Peer SMS
      • Send Peer-to-Peer SMS from Excel
    • Send SMS to Number Bank
      • Get List of Avalibale Banks
    • Send Sample SMS
      POST
    • Send Pattern-Based SMS
      POST
    • Calculate Send SMS Cost
      POST
  • Phonebook
    • Get Phonebooks
      GET
    • Create New Phonebook
      POST
    • Update Phonebook
      PUT
    • Get Phonebook Attributes
      GET
    • Create New Phonebook Attribute
      POST
    • Get Phonebook Contacts
      GET
    • Add New Contact
      POST
    • Delete Contact
      DELETE
  • Pattern
    • Create New Pattern
    • Get Pattern Details
    • Edit Pattern
    • Get List of User's Patterns
  • LBS
    • index
    • store
    • show
    • update
    • cancel
  • Tickets
    • Download Ticket Attached File
    • Get List of Tickets
    • Create New Ticket
    • Show Ticket Conversations
    • Replay to Ticket
    • Close Ticket
  • Order
    • pay
    • apply discount
    • cancel
  • Send Requests
    • Get Send Requests
    • Show Send Request Details
    • Get Send Request Items
  • GEO
    • Get Provinces List
    • Get Cities List of Provinces
  • Get Paged Inbox Messages
    GET
  • Schemas
    • Schemas
      • SelfSampleRequestDto
      • SimpleRequestDto
      • ApiResultString
      • SimpleFileRequestDto
      • ApiResultPagedPhonebook
      • KeywordRequestDto
      • ApiResultPagedPhonebookAttribute
      • KeywordFileRequestDto
      • ApiResultPagedPhonebookData
      • PeerToPeerRequestDto
      • ApiResultPagedInbox
      • PeerToPeerFileRequestDto
      • PagedPhonebook
      • ApiResultNumber
      • PagedPhonebookAttribute
      • ApiResultNumberArray
      • PagedPhonebookData
      • PagedInboxMessages
      • PhonebookAttribute
      • Phonebook
      • PhonebookDataAttribute
      • PhonebookDataRecord
      • PhonebookCreateRequestDto
      • PhonebookAttributeCreateRequestDto
      • InboxMessage
      • PatternAttribute
      • PatternRequestDto
      • PatternSendRequestDto
    • ApiMessage
    • ApiStatus
  1. Postalcode SMS

Send Postal Code SMS

POST
https://api.iranpayamak.com/ws/v1/sms/calculate-cost

Request

Authorization
Add parameter in header
Api-Key
Example:
Api-Key: ********************
Header Params

Body Params application/jsonRequired

Example
{
    "filters": [
        {
            "postal_code": "12345", // first [3,4,5] digit of postal code
            "gender_id": 1,
            "age_from": 1305,
            "age_to": 1310,
            "number_prefix": "912", // nullable
            "operator": "mci", // mci,irancell,other
            "row_from": 0,
            "row_count": 50
        }
    ],
    "text": "message text",
    "line_id": 12,
    "number_format": "english",
    "schedule": "2026-04-01T10:00:00Z"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.iranpayamak.com/ws/v1/sms/calculate-cost' \
--header 'Accept: application/json' \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "filters": [
        {
            "postal_code": "12345", // first [3,4,5] digit of postal code
            "gender_id": 1,
            "age_from": 1305,
            "age_to": 1310,
            "number_prefix": "912", // nullable
            "operator": "mci", // mci,irancell,other
            "row_from": 0,
            "row_count": 50
        }
    ],
    "text": "message text",
    "line_id": 12,
    "number_format": "english",
    "schedule": "2026-04-01T10:00:00Z"
}'

Responses

🟠401
application/json
Body

Example
{
    "status": "string",
    "message": "string",
    "data": null
}
Modified at 2026-03-19 17:41:57
Previous
Get Receiver Counts
Next
Send Simple SMS
Built with